Page MenuHomeFreeBSD

www/py-django21 (and dj22 ports): Deprecate / set expiration date
ClosedPublic

Authored by kai on Dec 4 2019, 9:44 AM.

Details

Summary
www/py-django21 (and dj22 ports): Deprecate / set expiration date

Django 2.1 reached its End-of-Life (EoL) on 2nd December. Deprecate the port and its consumers (= www/py-dj21-*) accordingly.

Also set an expiration date to remove these ports to the end of 2019 before the 2020Q1 branch is created.

Reviewed_by: koobs (python: maintainer)
Approved by: koobs (python: maintainer)
Differential_Revision: D22668
Test Plan
  • Used portclippy to ensure the correct spelling and order of the DEPRECATED/EXPIRATION_DATE variables.
  • Set the EXPIRATION_DATE to 2019-12-31 to get a clean 2020Q1 branch.
  • deskutils/py-paperless is the only one consumer that needs www/py-django21. I'll open soon a PR to migrate it to Django 2.2.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kai created this revision.Dec 4 2019, 9:44 AM
koobs added a subscriber: koobs.Dec 4 2019, 10:16 AM
  1. Suggested tweaks to DEPRECATED message for each of the py-dj21-* ports:

Rationale:

  • Be explicit where possible (some people may not know 'eol') before/when using acronyms
  • No need to refer to dj22 specific ports, since their may be other versions of the port either now or in the near future (Django 30, etc)
Django 2.1 is now End-of-Life (Since December 2 2019) and no longer supported. Switch to Django 2.2+ versions of this port as soon as possible

For django22 itself:

Django 2.1 is now End-of-Life (Since December 2 2019) and no longer supported. Switch to Django 2.2+ as soon as possible

Feel free to drop the Django 2.1 is now prefix for both if you think it doesn't lose too much meaning and is worth the shorter string.

  1. We left it quite late (after the EoL onset date actually) to add DEPRECATED/EXPIRY_DATE, and ought to have done it earlier. I think users should get more than 20 days before they're (free to be) deleted. This short period may be particularly exacerbated given the time of year, holidays, etc.

I'd recommend end of Jan at the earliest

koobs accepted this revision.Dec 4 2019, 10:17 AM

Above review items are not deal-breakers. This change in principle/spirit is otherwise:

Reviewed by: koobs (python: maintainer)
Approved by: koobs (python: maintainer)

This revision is now accepted and ready to land.Dec 4 2019, 10:17 AM
koobs edited the summary of this revision. (Show Details)Dec 4 2019, 10:19 AM
koobs retitled this revision from www/py-django21: Deprecate and set an expiration date to www/py-django21 (and dj22 ports): Deprecate / set expiration date.
koobs edited the summary of this revision. (Show Details)
This revision was automatically updated to reflect the committed changes.